%global srcname readthedocs-sphinx-ext

Name:           python-%{srcname}
Version:        1.0.1
Release:        1%{?dist}
Summary:        Sphinx extension for Read the Docs overrides

License:        MIT
URL:            https://github.com/readthedocs/readthedocs-sphinx-ext
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(sphinx)

%global _desc %{expand:
This module adds extensions that make Sphinx easier to use.  Some of them
require Read the Docs features, others are just code that we ship and
enable during builds on Read the Docs.  We currently ship:
- An extension for building docs like Read the Docs
- template-meta - allows users to specify template overrides in per-page
  contexts.}

%description %_desc

%package -n     python3-%{srcname}
Summary:        Sphinx extension for Read the Docs overrides

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %_desc

%prep
%autosetup -n %{srcname}-%{version}

# Fix installation directory for the tests
# https://github.com/readthedocs/readthedocs-sphinx-ext/issues/64
sed -i 's,tests,readthedocs_ext,' MANIFEST.in
mv tests readthedocs_ext

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel
rst2html --no-datestamp README.rst README.html

%install
%pyproject_install

%check
cd readthedocs_ext
pytest
cd -

%files -n python3-%{srcname}
%doc README.html
%license LICENSE
%{python3_sitelib}/readthedocs_ext/
%{python3_sitelib}/readthedocs_sphinx_ext*

%changelog
* Thu Jan 30 2020 Jerry James <loganjerry@gmail.com> - 1.0.1-1
- Initial RPM
